Subject: Re: master: t5800-remote-helpers.sh hangs on test "pulling from remote remote"

From: Clemens Buchacher <[email-masked]>
Date: Sat, 14 Apr 2012 22:14:48 +0200

On Sat, Apr 14, 2012 at 11:01:12AM +0200, Stefano Lattarini wrote:
>
> The test 't5800-remote-helpers.sh' hangs on my Linux desktop (where I have
> installed a custom simple-minded firewall based on iptables).  This does
> not happen on remote systems I use for testing, so I guess the problem
> lies with my machine.

I don't think this particular test is related to networking. Could you
please run the test again with the following change and paste the
output? (You cannot set the variables on the command line, because
test-lib.sh would unset them.)

diff --git a/t/t5800-remote-helpers.sh b/t/t5800-remote-helpers.sh
index 1c62001..4cebd63 100755
--- a/t/t5800-remote-helpers.sh
+++ b/t/t5800-remote-helpers.sh
@@ -68,7 +68,7 @@ test_expect_success 'pushing to local repo' '
 	(cd localclone &&
 	echo content >>file &&
 	git commit -a -m three &&
-	git push) &&
+	GIT_TRANSPORT_HELPER_DEBUG=1 GIT_DEBUG_TESTGIT=1 git push) &&
 	compare_refs localclone HEAD server HEAD
 '